%global __requires_exclude perl\\(.*[.]pl\\)|\/bin\/bash

Name:           mlmmj
Version:        1.2.19.0
Release:        1%{?dist}
Summary:        A simple and slim mailing list manager inspired by ezmlm
License:        MIT
URL:            http://mlmmj.org/
Source0:        http://mlmmj.org/releases/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  findutils
BuildRequires:  make

%description
Mlmmj(Mailing List Management Made Joyful) is a simple and slim mailing list 
manager (MLM) inspired by ezmlm. It works with many different Mail Transport 
Agents (MTAs) and is simple for a system adminstrator to install, configure 
and integrate with other software. As it uses very few resources, and requires
no daemons, it is ideal for installation on systems where resources are 
limited, such as Virtual Private Servers (VPSes).

Although it doesn't aim to include every feature possible, but focuses on 
staying mean and lean, and doing what it does do well, it does have a great 
set of features, including:

- Archive
- Custom headers / footer
- Fully automated bounce handling (similar to ezmlm)
- Complete requeueing functionality
- Moderation functionality
- Subject prefix
- Subscribers only posting
- Regular expression access control
- Functionality to retrieve old posts
- Web interface
- Digests
- No-mail subscription
- VERP support
- Delivery Status Notification (RFC1891) support
- Rich, customisable texts for automated operations

%prep
%setup -q

%build
%configure --enable-receive-strip
make %{?_smp_mflags}

%install
%make_install

mkdir -p %{buildroot}%{_localstatedir}/spool/%{name}
find contrib/ -type f -name *.pl -exec chmod -x {} ";"
find contrib/ -type f -name *.cgi -exec chmod -x {} ";"

%files
%{!?_licensedir:%global license %doc}
%license COPYING
%doc AUTHORS ChangeLog FAQ README* TODO TUNABLES UPGRADE
%doc contrib/web/
%{_bindir}/*
%{_mandir}/man1/mlmmj*.1*
%{_datadir}/%{name}/
%{_localstatedir}/spool/%{name}

%changelog
* Wed Mar 02 2016 Denis Fateyev <denis@fateyev.com> - 1.2.19.0-1
- Update to 1.2.19.0 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Christopher Meng <rpm@cicku.me> - 1.2.18.1-1
- Update to 1.2.18.1

* Sat Oct 26 2013 Christopher Meng <rpm@cicku.me> - 1.2.18.0-2
- Filter out wrong dependencies.

* Fri Aug 09 2013 Christopher Meng <rpm@cicku.me> - 1.2.18.0-1
- Resubmit the package.

* Tue Sep 06 2011 Michael Fleming <mfleming+rpm@thatfleminggent.com> - 1.2.17.1-1
- 1.2.17 (many fixes and improvements)

* Sat Feb 13 2010 Michael Fleming <mfleming+rpm@thatfleminggent.com> - 1.2.17-1
- 1.2.17 (many fixes and improvements)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.16-1
- New upstream release.
- New URL

* Tue Apr 08 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.15-3
- Fix Requires (bz# 438079)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.15-2
- Autorebuild for GCC 4.3

* Tue Jul 31 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.15-1
- New upstream release. Please read the release and upgrade notes when
  upgrading.
- Enabled new "enable-recieve-strip" option for MIME handling.

* Wed Apr 11 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.14-2
- Bump due to build/tag oddity.

* Fri Apr 06 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.14-1
- New upstream release (with mime parsing goodness)

* Thu Dec 28 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.13-1
- New upstream release

* Sun Nov 26 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.12-1
- New upstream release

* Sun Sep 03 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-5
- Rebuild 

* Mon Jun 19 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-4
- Bump to satisfy distro upgrade paths

* Wed Mar 01 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-3
- Bump for FC5

* Fri Feb 10 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-2
- Bump for newer gcc/glibc

* Tue Jan 24 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-1
- New upstream release (more bugfixes in address handling)

* Wed Jan 18 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.10-1
- New upstream release. 1.2.9 has a serious bug in find_email_adr(), all
  should upgrade.

* Thu Dec 15 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.9-2.1
- New upstream stable release
- Fix Release tag

* Mon Oct 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.9-0.rc1
- New upstream release candidate
- Fixed typo in the Description that I hope noone noticed.

* Fri Jul 08 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.8-2
- Bump & rebuild

* Tue Jun 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.8-1
- New upstream release

* Thu May 26 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-4
- Bump for rebuild

* Sat May 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-3
- Remove superflous LICENSE from docs (same as COPYING)
- Minor cleanup

* Fri May 13 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-2
- Fix changelog (remove superfluous entries too) and bump

* Fri May 13 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-1
- Upstream release 1.2.7 (minor fixes)

* Tue May 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-3
- Add contributed web scripts

* Tue May 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-2
- bump

* Mon May 09 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-1
- 1.2.6.1

* Mon May 09 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6-1
- 1.2.6
- Dropped moderation race patch (merged upstream)

* Fri May 06 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-3
- Upstream patch included fixing a potential race condition on
  moderation.
  
* Fri May 06 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-2
- Description updated
- Install macros returned to sane defaults
- Small spec cleanups
- Thanks to Michael Schwendt for pointing these out.

- Dropped listtexts patch (applied upstream)
* Thu May 05 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-1
- 1.2.5
- Dropped listtexts patch (applied upstream)

* Sat Apr 09 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.4-4
- Special build for Fedora Extras
- Added upstream patch for addresses without a @domain
- Excluded contrib (just some web frontends) to avoid a perl dependency
